Summary:	WireGuard is an extremely simple yet fast and modern VPN that utilizes state-of-the-art cryptography
Name:		wireguard-tools
Version:	1.0.20200513
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://git.zx2c4.com/wireguard-tools/snapshot/%{name}-%{version}.tar.xz
# Source0-md5:	b058e5e7eb9f38dbdd553a19c6e5dd22
Patch0:		opt.patch
URL:		https://www.wireguard.com/
BuildRequires:	libmnl-devel
BuildRequires:	rpmbuild(macros) >= 1.701
Obsoletes:	WireGuard < 1.0.20200319-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WireGuard is an extremely simple yet fast and modern VPN that utilizes
state-of-the-art cryptography. It aims to be faster, simpler, leaner,
and more useful than IPSec, while avoiding the massive headache. It
intends to be considerably more performant than OpenVPN. WireGuard is
designed as a general purpose VPN for running on embedded interfaces
and super computers alike, fit for many different circumstances.

This package contains user space tools. Kernel module is included in
Linux 5.6+. You need to also install kernel module from
kernel-*-misc-wireguard package for kernel < 5.6.

%prep
%setup -q
%patch0 -p1

%build
%{make} -C src \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{rpmcppflags}" \
	RUNSTATEDIR=%{_varrun} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{make} -C src install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
	SYSTEMDUNITDIR=$RPM_BUILD_ROOT%{systemdunitdir} \
	WITH_BASHCOMPLETION=yes \
	WITH_SYSTEMDUNITS=yes

%clean
rm -rf $RPM_BUILD_ROOT

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc contrib README.md
%attr(755,root,root) %{_bindir}/wg
%attr(755,root,root) %{_bindir}/wg-quick
%dir %{_sysconfdir}/wireguard
%{systemdunitdir}/wg-quick@.service
%{systemdunitdir}/wg-quick.target
%{_mandir}/man8/wg-quick.8*
%{_mandir}/man8/wg.8*
%changelog
* Sat May 23 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireguard-tools.git;a=log;h=master

* Sat May 23 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> d32d424
- up to 1.0.20200513

* Mon May 04 2020 Jan Rękorajski <baggins@pld-linux.org> 64c304f
- updated description
- O for old package

* Mon May 04 2020 Jan Rękorajski <baggins@pld-linux.org> b3b7b09
- wireguard-tools is now a separate package, kernel module has been merged into kernel 5.6

* Sun Apr 05 2020 Jan Rękorajski <baggins@pld-linux.org> fdb609f
- fix building on kernel 5.4.29+
- rel 2

* Sun Dec 22 2019 Jan Rękorajski <baggins@pld-linux.org> 2b10bf9
- up to 0.0.20191219

* Mon Nov 25 2019 Patryk Szczygłowski <patryk@patryk.net> fc2111f
- up to 0.0.20191012

* Thu Aug 01 2019 Adam Gołębiowski <adamg@pld-linux.org> 9f63f1e
- up to 0.0.20190702

* Mon Jun 10 2019 Patryk Szczygłowski <patryk@patryk.net> 73413a0
- up to 0.0.20190601

* Tue Apr 23 2019 Patryk Szczygłowski <patryk@patryk.net> ed704a0
- up to 0.0.20190406

* Wed Jan 23 2019 Patryk Szczygłowski <patryk@patryk.net> d3bb447
- up to 0.0.20190123

* Wed Oct 24 2018 Patryk Szczygłowski <patryk@patryk.net> 522228e
- up to 0.0.20181018

* Thu Oct 04 2018 Patryk Szczygłowski <patryk@patryk.net> f6d6d91
- up to 0.0.20180925

* Thu Aug 09 2018 Patryk Szczygłowski <patryk@patryk.net> e12e8d0
- up to 0.0.20180802

* Mon Jul 30 2018 Patryk Szczygłowski <patryk@patryk.net> 8bdbb40
- up to 0.0.20180718

* Mon Jun 18 2018 Patryk Szczygłowski <patryk@patryk.net> bd5ac9e
- up to 0.0.20180613

* Tue Jun 05 2018 Patryk Szczygłowski <patryk@patryk.net> 819fc10
- up to 0.0.20180531

* Wed May 16 2018 Patryk Szczygłowski <patryk@patryk.net> c6e3092
- up to 0.0.20180514

* Tue Apr 24 2018 Patryk Szczygłowski <patryk@patryk.net> 651f085
- up to 0.0.20180420

* Mon Mar 05 2018 Patryk Szczygłowski <patryk@patryk.net> e6362c4
- up to 0.0.20180304

* Fri Feb 02 2018 Patryk Szczygłowski <patryk@patryk.net> d834e6f
- up to 0.0.20180202

